package com.myoa.engineering.crawl.ppomppu.processor.service;

import java.util.List;

import org.springframework.stereotype.Service;

import com.myoa.engineering.crawl.ppomppu.processor.domain.PpomppuArticle;
import com.myoa.engineering.crawl.ppomppu.processor.dto.PpomppuArticleTransformer;
import com.myoa.engineering.crawl.ppomppu.processor.infrastructure.client.MessageSenderAPIClient;

import lombok.extern.slf4j.Slf4j;

/**
 * MessageSenderService
 * @author Shin Woo-jin (woo-jin.shin@linecorp.com)
 * @since 2021-11-21
 *
 */
@Slf4j
@Service
public class MessageSenderService {

    private final MessageSenderAPIClient messageSenderAPIClient;

    public MessageSenderService(MessageSenderAPIClient messageSenderAPIClient) {
        this.messageSenderAPIClient = messageSenderAPIClient;
    }

    public void sendMessageToSlack(PpomppuArticle article) {
        messageSenderAPIClient.sendMessageToSlack(PpomppuArticleTransformer.TRANSFORM_TO_MESSAGE_DTO.apply(article));
    }

    public void sendMessageToSlack(List<PpomppuArticle> articles) {
        messageSenderAPIClient.sendMessageToSlack(PpomppuArticleTransformer.transform(articles));
    }

}
