package com.myoa.engineering.crawl.ppomppu.sender.controller;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.myoa.engineering.crawl.ppomppu.support.dto.APIResponse;
import com.myoa.engineering.crawl.ppomppu.support.dto.SimpleMessageDTO;

import lombok.extern.slf4j.Slf4j;
import reactor.core.publisher.Mono;

/**
 * MessageSenderAPIController
 * @author Shin Woo-jin (woo-jin.shin@linecorp.com)
 * @since 2021-11-21
 *
 */
@Slf4j
@RestController
@RequestMapping("/api/v1")
public class MessageSenderAPIController {

    @PostMapping("/messages/sendMessage/messengers/slack")
    public Mono<APIResponse<SimpleMessageDTO>> sendMessageToSlack(SimpleMessageDTO dto) {

        log.info("received : {}, \nbody: {}", dto.getTitle(), dto.getBody());
        // TODO transform
        return Mono.just(APIResponse.success(dto));
    }
}
