package com.myoa.engineering.crawl.ppomppu.sender.controller;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.myoa.engineering.crawl.ppomppu.sender.dto.SlackMessageDTO;
import com.myoa.engineering.crawl.ppomppu.sender.infrastructure.client.SlackMessageSender;

import reactor.core.publisher.Mono;

/**
 * TestAPIController
 * @author Shin Woo-jin (woo-jin.shin@linecorp.com)
 * @since 2021-11-15
 *
 */
@RestController
@RequestMapping("/api/v1")
public class TestAPIController {

    private final SlackMessageSender sender;

    public TestAPIController() {
        this.sender = new SlackMessageSender("xoxb-2688454277126-2695026012277-K2Ib13lKokmTiBSnSMrc0Bp2");
    }

    @GetMapping("/test")
    public Mono<String> test() {
        return sender.sendMessage(SlackMessageDTO.builder()
                                                 .text("test!")
                                                 .iconEmoji("monge")
                                                 .channel("notify_shopping")
                                                 .username("shopping notifier")
                                                 .build());
    }
}
